;	R8C/11 SFR Difinition for Assember
	.list	off
;
;
; Declare SFR Address
SFR_PM0		.EQU	0004H		; Processor mode register 0
SFR_PM_RST	.BTEQU	3,0004H		; Software Reset bit
SFR_PM1		.EQU	0005H		; Processor mode register 1
SFR_PM_WDTS	.BTEQU	2,0005H		; WatchDog Reset/INT select bit
SFR_CM0		.EQU	0006H		; System clock control register 0
SFR_CM1		.EQU	0007H		; System clock control register 1
SFR_OCD		.EQU	000CH		; System Clock stop watch register
SFR_HR0		.EQU	0008H		; Highspeed Ring Clock register 0
SFR_HR1		.EQU	000BH		; Highspeed Ring Clock register 1
SFR_WDTR	.EQU	000Dh		; Watchdog timer reset register
SFR_WDTS	.EQU	000EH		; Watchdog timer start register
SFR_WDC		.EQU	000FH		; Watchdog timer control register
SFR_WDC_PR	.BTEQU	7,000FH		; Watchdog timer Prescaler select bit

SFR_PRCR	.EQU	000AH		; Protect register
SFR_PRC_0	.BTEQU	0,000AH		; Enable writing to CM1/2/OCD/HR0/1 Reg bit
SFR_PRC_1	.BTEQU	1,000AH		; Enable writing to PM0/1 Reg bit
SFR_PRC_2	.BTEQU	2,000AH		; Enable writing to PortP0D Reg bit
SFR_PRC_3	.BTEQU	3,000AH		; Enable writing to VCR2/D4INT bit

SFR_PRC_CM	.BTEQU	0,000AH		; Enable writing to SystemClockReg bit
SFR_PRC_PM	.BTEQU	1,000AH		; Enable writing to ProcessorModeReg bit
SFR_PRC_P	.BTEQU	2,000AH		; Enable writing to PortP0 DirReg bit
SFR_PRC_V	.BTEQU	3,000AH		; Enable writing to VCR2/D4INT bit

SFR_EPRR	.EQU	01BFH		; EMU Protect
SFR_EMU		.EQU	01B0h		; 

SFR_AIER	.EQU	0009H		; Addrese match int enable register
SFR_AIER_0	.BTEQU	0,0009H		; Addrese match int0 enable bit
SFR_AIER_1	.BTEQU	1,0009H		; Addrese match int1 enable bit
SFR_RMAD0	.EQU	0010H		; Address match interrupt register 0
SFR_RMAD0L	.EQU	0010H		; Address match interrupt register 0
SFR_RMAD0M	.EQU	0010H+1		; Address match interrupt register 0
SFR_RMAD0H	.EQU	0010H+2		; Address match interrupt register 0
SFR_RMAD1	.EQU	0014H		; Address match interrupt register 1
SFR_RMAD1L	.EQU	0014H		; Address match interrupt register 1
SFR_RMAD1M	.EQU	0014H+1		; Address match interrupt register 1
SFR_RMAD1H	.EQU	0014H+2		; Address match interrupt register 1

SFR_VCR1	.EQU	0019H		; Voltage Detect register
SFR_VCR2	.EQU	001AH		; Voltage Detect register
SFR_D4INT	.EQU	001FH		; Voltage Detect Interrupt register

SFR_INT0IC	.EQU	005DH		; INT0 interrupt control register
SFR_INT0IC_IR	.BTEQU	3,005DH		; INT0 interrupt request bit
SFR_INT0IC_POL	.BTEQU	4,005DH		; INT0 interrupt polarity bit
SFR_INT1IC	.EQU	0059H		; INT1 interrupt control register
SFR_INT1IC_IR	.BTEQU	3,0059H		; INT1 interrupt request bit
SFR_INT2IC	.EQU	0055H		; INT2 interrupt control register
SFR_INT2IC_IR	.BTEQU	3,0055H		; INT2 interrupt request bit
SFR_INT3IC	.EQU	005AH		; INT3 interrupt control register
SFR_INT3IC_IR	.BTEQU	3,005AH		; INT3 interrupt request bit

SFR_U0TIC	.EQU	0051H		; UART0 transmit interrupt control register
SFR_U0TIC_IR	.BTEQU	3,0051H		; UART0 interrupt request bit
SFR_U0RIC	.EQU	0052H		; UART0 receive interrupt control register
SFR_U0RIC_IR	.BTEQU	3,0052H		; UART0 interrupt request bit
SFR_U1TIC	.EQU	0053H		; UART1 transmit interrupt control register
SFR_U1TIC_IR	.BTEQU	3,0053H		; UART1 interrupt request bit
SFR_U1RIC	.EQU	0054H		; UART1 receive interrupt control register
SFR_U1RIC_IR	.BTEQU	3,0054H		; UART1 interrupt request bit

SFR_S0TIC	.EQU	0051H		; UART0 transmit interrupt control register
SFR_S0TIC_IR	.BTEQU	3,0051H		; UART0 interrupt request bit
SFR_S0RIC	.EQU	0052H		; UART0 receive interrupt control register
SFR_S0RIC_IR	.BTEQU	3,0052H		; UART0 interrupt request bit
SFR_S1TIC	.EQU	0053H		; UART1 transmit interrupt control register
SFR_S1TIC_IR	.BTEQU	3,0053H		; UART1 interrupt request bit
SFR_S1RIC	.EQU	0054H		; UART1 receive interrupt control register
SFR_S1RIC_IR	.BTEQU	3,0054H		; UART1 interrupt request bit

SFR_TXIC	.EQU	0056H		; TimerX interrupt control register
SFR_TXIC_IR	.BTEQU	3,0056H		; TimerX interrupt request bit
SFR_TYIC	.EQU	0057H		; TimerY interrupt control register
SFR_TYIC_IR	.BTEQU	3,0057H		; TimerY interrupt request bit
SFR_TZIC	.EQU	0058H		; TimerZ interrupt control register
SFR_TZIC_IR	.BTEQU	3,0058H		; TimerZ interrupt request bit

SFR_TCIC	.EQU	005BH		; TimerC interrupt control register
SFR_TCIC_IR	.BTEQU	3,005BH		; TimerC interrupt request bit

SFR_CMP0IC	.EQU	005CH		; Compair0 interrupt control register
SFR_CMP1IC	.EQU	0050H		; Compair1 interrupt control register

SFR_KUPIC	.EQU	004DH		; Key input interrupt control register
SFR_KUPIC_IR	.BTEQU	3,004DH		; Key input interrupt request bit
SFR_ADIC	.EQU	004EH		; A-D conversion interrupt control register
SFR_ADIC_IR	.BTEQU	3,004EH		; A-D conversion interrupt request bit

SFR_INTEN	.EQU	0096H		; Interrupt INT0-3 Enable/Polarity select
SFR_INT0_E	.BTEQU	0,0096H		; INT0 Enable
SFR_INT0_POL	.BTEQU	1,0096H		; INT0 Polarity

SFR_INT0F	.EQU	001EH		; INT0 Input filter select register

SFR_KIEN	.EQU	0098H		; KeyInout Enable register

SFR_TX		.EQU	008DH		; TimerX register
SFR_PREX	.EQU	008CH		; TimerX Prescaler register
SFR_TXMR	.EQU	008BH		; TimerX mode register
SFR_TYZMR_TXS	.BTEQU	3,008BH		; TimerX start bit
SFR_TX_S	.BTEQU	3,008BH		; TimerX start bit
SFR_TX_MOD0	.BTEQU	0,008BH		; TimerX mode 0
SFR_TX_MOD1	.BTEQU	1,008BH		; TimerX mode 1
SFR_TX_MOD2	.BTEQU	5,008BH		; TimerX mode 2
SFR_TX_R0EDG	.BTEQU	2,008BH		; TimerX INT1/CNTR0 Pol
SFR_TX_OCNT	.BTEQU	4,008BH		; TimerX 
SFR_TX_EDG	.BTEQU	6,008BH		; TimerX 
SFR_TX_UND	.BTEQU	7,008BH		; TimerX 
SFR_TX_CK0	.BTEQU	0,008EH		; TimerX Clock source 0
SFR_TX_CK1	.BTEQU	1,008EH		; TimerX Clock source 1

SFR_TYPR	.EQU	0083H		; TimerY Primary register
SFR_TYSC	.EQU	0082H		; TimerY Secondary register
SFR_PREY	.EQU	0081H		; TimerY Prescaler register
SFR_TYZMR_TYS	.BTEQU	3,0080H		; TimerY start bit
SFR_TY_S	.BTEQU	3,0080H		; TimerY start bit
SFR_TY_MD0	.BTEQU	0,0080H		; TimerY mode 0
SFR_TY_R0EDG	.BTEQU	1,0080H		; TimerY INT1/CNTR0 Pol
SFR_TY_WC	.BTEQU	2,0080H		; TimerY Write control

SFR_TY_CK0	.BTEQU	2,008EH		; TimerY Clock source 0
SFR_TY_CK1	.BTEQU	3,008EH		; TimerY Clock source 1
SFR_TY_OPL	.BTEQU	4,0084H		; TimerY output level latch
SFR_TY_OCNT	.BTEQU	1,008AH		; TimerY Output 

SFR_TZPR	.EQU	0087H		; TimerZ Primary register
SFR_TZSC	.EQU	0086H		; TimerZ Secondary register
SFR_PREZ	.EQU	0085H		; TimerZ Prescaler register
SFR_TYZMR_TZS	.BTEQU	7,0080H		; TimerZ start bit
SFR_TZ_S	.BTEQU	7,0080H		; TimerZ start bit
SFR_TZ_OS	.BTEQU	0,008AH		; TimerZ Oneshot start bit
SFR_TZ_MD0	.BTEQU	4,0080H		; TimerZ mode 0
SFR_TZ_MD1	.BTEQU	5,0080H		; TimerZ mode 1
SFR_TZ_WC	.BTEQU	6,0080H		; TimerZ Write control
SFR_TZ_CK0	.BTEQU	4,008EH		; TimerZ Clock source 0
SFR_TZ_CK1	.BTEQU	5,008EH		; TimerZ Clock source 1
SFR_TZ_OPL	.BTEQU	5,0084H		; TimerZ output level latch
SFR_TZ_OCNT	.BTEQU	2,008AH		; TimerZ Output 

SFR_TZ_OSTG	.BTEQU	6,0084H		; TimerZ Oneshot Trigger Control
SFR_TZ_OSEG	.BTEQU	7,0084H		; TimerZ Oneshot Edge select

SFR_TYZMR	.EQU	0080H		; TimerYZ mode register
SFR_TYZOC	.EQU	008AH		; TimerYZ Output Control register
SFR_PUM		.EQU	0084H		; TimerYZ Wave control register
SFR_TCSS	.EQU	008EH		; Timer Count source select register
SFR_TC		.EQU	0090H		; TimerC register 16bits
SFR_TM0		.EQU	009CH		; TimerC capture0 register 16bits
SFR_TM1		.EQU	009EH		; TimerC capture1 register 16bits
SFR_TCC0	.EQU	009AH		; TimerC Control 1 register
SFR_TC_S	.BTEQU	0,009AH		; TimerC start bit
SFR_TC_CK0	.BTEQU	1,009AH		; TimerC Clock Source 0
SFR_TC_CK1	.BTEQU	2,009AH		; TimerC Clock Source 1
SFR_TCC1	.EQU	009BH		; TimerC Control 2 register
SFR_TCOUT	.EQU	00FFH		; TimerC Output Control register

SFR_U0TB	.EQU	00A2H		; UART0 transmit buffer register
SFR_U0RB	.EQU	00A6H		; UART0 receive buffer register
SFR_U0BRG	.EQU	00A1H		; UART0 bit rate register

SFR_U0_SMD0	.BTEQU	0,00A0H		; UART0 serial mode select0
SFR_U0_SMD1	.BTEQU	1,00A0H		; UART0 serial mode select1
SFR_U0_SMD2	.BTEQU	2,00A0H		; UART0 serial mode select2
SFR_U0_CKDIR	.BTEQU	3,00A0H		; UART0 external clock select
SFR_U0_STPS	.BTEQU	4,00A0H		; UART0 2stop bit select
SFR_U0_PRY	.BTEQU	5,00A0H		; UART0 parity even select
SFR_U0_PRYE	.BTEQU	6,00A0H		; UART0 parity enable select
SFR_U0_CLK0	.BTEQU	0,00A4H		; UART0 BRG count source select0
SFR_U0_CLK1	.BTEQU	1,00A4H		; UART0 BRG count source select1
SFR_U0_TXEPT	.BTEQU	3,00A4H		; UART0 TXreg empty bit
SFR_U0_NCH	.BTEQU	5,00A4H		; UART0 Open Drain select
SFR_U0_CKPOL	.BTEQU	6,00A4H		; UART0 clock porarity rise select
SFR_U0_UFORM	.BTEQU	7,00A4H		; UART0 MSB first select
SFR_U0_TE	.BTEQU	0,00A5H		; UART0 TX enable
SFR_U0_TI	.BTEQU	1,00A5H		; UART0 TX buffer empty flag
SFR_U0_RE	.BTEQU	2,00A5H		; UART0 RX enable
SFR_U0_RI	.BTEQU	3,00A5H		; UART0 received flag
SFR_U0_IRS	.BTEQU	0,00B0H		; UART0 
SFR_U0_RRM	.BTEQU	2,00B0H		; UART0 


SFR_U0MR	.EQU	00A0H		; UART0 transmit/receive mode register
SFR_U0MR_SMD0	.BTEQU	0,00A0H		; UART0 serial mode select0
SFR_U0MR_SMD1	.BTEQU	1,00A0H		; UART0 serial mode select1
SFR_U0MR_SMD2	.BTEQU	2,00A0H		; UART0 serial mode select2
SFR_U0MR_CKDIR	.BTEQU	3,00A0H		; UART0 external clock select
SFR_U0MR_STPS	.BTEQU	4,00A0H		; UART0 2stop bit select
SFR_U0MR_PRY	.BTEQU	5,00A0H		; UART0 parity even select
SFR_U0MR_PRYE	.BTEQU	6,00A0H		; UART0 parity enable select

SFR_U0C0	.EQU	00A4H		; UART0 transmit/receive control register0
SFR_U0C0_CLK0	.BTEQU	0,00A4H		; UART0 BRG count source select0
SFR_U0C0_CLK1	.BTEQU	1,00A4H		; UART0 BRG count source select1
SFR_U0C0_TXEPT	.BTEQU	3,00A4H		; UART0 TXreg empty bit
SFR_U0C0_NCH	.BTEQU	5,00A4H		; UART0 Open Drain select
SFR_U0C0_CKPOL	.BTEQU	6,00A4H		; UART0 clock porarity rise select
SFR_U0C0_UFORM	.BTEQU	7,00A4H		; UART0 MSB first select

SFR_U0C1	.EQU	00A5H		; UART0 transmit/receive control register1
SFR_U0C1_TE	.BTEQU	0,00A5H		; UART0 TX enable
SFR_U0C1_TI	.BTEQU	1,00A5H		; UART0 TX buffer empty flag
SFR_U0C1_RE	.BTEQU	2,00A5H		; UART0 RX enable
SFR_U0C1_RI	.BTEQU	3,00A5H		; UART0 received flag


SFR_U1TB	.EQU	00AAH		; UART1 transmit buffer register
SFR_U1RB	.EQU	00AEH		; UART1 receive buffer register
SFR_U1BRG	.EQU	00A9H		; UART1 bit rate register

SFR_U1_SMD0	.BTEQU	0,00A8H		; UART1 serial mode select0
SFR_U1_SMD1	.BTEQU	1,00A8H		; UART1 serial mode select1
SFR_U1_SMD2	.BTEQU	2,00A8H		; UART1 serial mode select2
SFR_U1_CKDIR	.BTEQU	3,00A8H		; UART1 external clock select
SFR_U1_STPS	.BTEQU	4,00A8H		; UART1 2stop bit select
SFR_U1_PRY	.BTEQU	5,00A8H		; UART1 parity even select
SFR_U1_PRYE	.BTEQU	6,00A8H		; UART1 parity enable select
SFR_U1_CLK0	.BTEQU	0,00ACH		; UART1 BRG count source select0
SFR_U1_CLK1	.BTEQU	1,00ACH		; UART1 BRG count source select1
SFR_U1_TXEPT	.BTEQU	3,00ACH		; UART1 TXreg empty bit
SFR_U1_NCH	.BTEQU	5,00ACH		; UART1 Open Drain select
SFR_U1_CKPOL	.BTEQU	6,00ACH		; UART1 clock porarity rise select
SFR_U1_UFORM	.BTEQU	7,00ACH		; UART1 MSB first select
SFR_U1_TE	.BTEQU	0,00ADH		; UART1 TX enable
SFR_U1_TI	.BTEQU	1,00ADH		; UART1 TX buffer empty flag
SFR_U1_RE	.BTEQU	2,00ADH		; UART1 RX enable
SFR_U1_RI	.BTEQU	3,00ADH		; UART1 received flag
SFR_U1_IRS	.BTEQU	1,00B0H		; UART1 
SFR_U1_TXD1SEL	.BTEQU	5,00B0H		; UART1 TXD1 0=P00 0=TXD11
SFR_U1_TXD1EN	.BTEQU	6,00B0H		; UART1 TXD1 1=P35 0=P00

SFR_U1MR	.EQU	00A8H		; UART1 transmit/receive mode register
SFR_U1MR_SMD0	.BTEQU	0,00A8H		; UART1 serial mode select0
SFR_U1MR_SMD1	.BTEQU	1,00A8H		; UART1 serial mode select1
SFR_U1MR_SMD2	.BTEQU	2,00A8H		; UART1 serial mode select2
SFR_U1MR_CKDIR	.BTEQU	3,00A8H		; UART1 external clock select
SFR_U1MR_STPS	.BTEQU	4,00A8H		; UART1 2stop bit select
SFR_U1MR_PRY	.BTEQU	5,00A8H		; UART1 parity even select
SFR_U1MR_PRYE	.BTEQU	6,00A8H		; UART1 parity enable select

SFR_U1C0	.EQU	00ACH		; UART1 transmit/receive control register0
SFR_U1C0_CLK0	.BTEQU	0,00ACH		; UART1 BRG count source select0
SFR_U1C0_CLK1	.BTEQU	1,00ACH		; UART1 BRG count source select1
SFR_U1C0_TXEPT	.BTEQU	3,00ACH		; UART1 TXreg empty bit
SFR_U1C0_NCH	.BTEQU	5,00ACH		; UART1 Open Drain select
SFR_U1C0_CKPOL	.BTEQU	6,00ACH		; UART1 clock porarity rise select
SFR_U1C0_UFORM	.BTEQU	7,00ACH		; UART1 MSB first select

SFR_U1C1	.EQU	00ADH		; UART1 transmit/receive control register1
SFR_U1C1_TE	.BTEQU	0,00ADH		; UART1 TX enable
SFR_U1C1_TI	.BTEQU	1,00ADH		; UART1 TX buffer empty flag
SFR_U1C1_RE	.BTEQU	2,00ADH		; UART1 RX enable
SFR_U1C1_RI	.BTEQU	3,00ADH		; UART1 received flag

SFR_UCON	.EQU	00B0H		; UART transmit/receive control register2
SFR_UCON_U0IRS	.BTEQU	0,00B0H		; UART0 
SFR_UCON_U1IRS	.BTEQU	1,00B0H		; UART1 
SFR_UCON_U0RRM	.BTEQU	2,00B0H		; UART0 
SFR_UCON_TXD1SEL .BTEQU	5,00B0H		; UART1 
SFR_UCON_TXD1EN	.BTEQU	6,00B0H		; UART1 


SFR_ADCON0	.EQU	00D6H		; A-D control register0
SFR_ADCON0_CH0	.BTEQU	0,00D6H		; A-D Channel select0
SFR_ADCON0_CH1	.BTEQU	1,00D6H		; A-D Channel select1
SFR_ADCON0_CH2	.BTEQU	2,00D6H		; A-D Channel select2
SFR_ADCON0_MD	.BTEQU	3,00D6H		; A-D Mode select
SFR_ADCON0_ADGSEL .BTEQU 4,00D6H	; A-D AD group P0/P1 sel
SFR_ADCON0_ADST	.BTEQU	6,00D6H		; A-D start conversion
SFR_ADCON0_CKS0	.BTEQU	7,00D6H		; A-D clock select0

SFR_ADCON1	.EQU	00D7H		; A-D control register1
SFR_ADCON1_BITS	.BTEQU	3,00D7H		; A-D 8/10bits select
SFR_ADCON1_CKS1	.BTEQU	4,00D7H		; A-D clock select1
SFR_ADCON1_VCUT	.BTEQU	5,00D7H		; A-D Vref select
SFR_ADCON1_OPA0	.BTEQU	6,00D7H		; A-D OP-amp mode select0
SFR_ADCON1_OPA1	.BTEQU	7,00D7H		; A-D OP-amp mode select1

SFR_ADCON2	.EQU	00D4H		; A-D control register2
SFR_ADCON2_SMP	.BTEQU	0,00D4H		; A-D S&H enable bit

SFR_AD_CH0	.BTEQU	0,00D6H		; A-D Channel select0
SFR_AD_CH1	.BTEQU	1,00D6H		; A-D Channel select1
SFR_AD_CH2	.BTEQU	2,00D6H		; A-D Channel select2
SFR_AD_MD	.BTEQU	3,00D6H		; A-D Mode select0
SFR_AD_ADGSEL	.BTEQU	4,00D6H		; A-D AD group P0/P1 sel
SFR_AD_ST	.BTEQU	6,00D6H		; A-D start conversion
SFR_AD_CKS0	.BTEQU	7,00D6H		; A-D clock select0
SFR_AD_BITS	.BTEQU	3,00D7H		; A-D 8/10bits select
SFR_AD_CKS1	.BTEQU	4,00D7H		; A-D clock select1
SFR_AD_VCUT	.BTEQU	5,00D7H		; A-D Vref select
SFR_AD_SMP	.BTEQU	0,00D4H		; A-D S&H enable bit

SFR_AD		.EQU	00C0H		; A-D register

SFR_P0		.EQU	00E0H		; Port P0 register
SFR_P0_0	.BTEQU	0,00E0H		; Port P0
SFR_P0_1	.BTEQU	1,00E0H		; Port P0
SFR_P0_2	.BTEQU	2,00E0H		; Port P0
SFR_P0_3	.BTEQU	3,00E0H		; Port P0
SFR_P0_4	.BTEQU	4,00E0H		; Port P0
SFR_P0_5	.BTEQU	5,00E0H		; Port P0
SFR_P0_6	.BTEQU	6,00E0H		; Port P0
SFR_P0_7	.BTEQU	7,00E0H		; Port P0
SFR_PD0		.EQU	00E2H		; Port P0 direcrtion register
SFR_P0D		.EQU	00E2H		; Port P0 direcrtion register
SFR_P0D_0	.BTEQU	0,00E2H		; Port P0 Dir
SFR_P0D_1	.BTEQU	1,00E2H		; Port P0 Dir
SFR_P0D_2	.BTEQU	2,00E2H		; Port P0 Dir
SFR_P0D_3	.BTEQU	3,00E2H		; Port P0 Dir
SFR_P0D_4	.BTEQU	4,00E2H		; Port P0 Dir
SFR_P0D_5	.BTEQU	5,00E2H		; Port P0 Dir
SFR_P0D_6	.BTEQU	6,00E2H		; Port P0 Dir
SFR_P0D_7	.BTEQU	7,00E2H		; Port P0 Dir
SFR_P1		.EQU	00E1H		; Port P1 register
SFR_P1_0	.BTEQU	0,00E1H		; Port P1
SFR_P1_1	.BTEQU	1,00E1H		; Port P1
SFR_P1_2	.BTEQU	2,00E1H		; Port P1
SFR_P1_3	.BTEQU	3,00E1H		; Port P1
SFR_P1_4	.BTEQU	4,00E1H		; Port P1
SFR_P1_5	.BTEQU	5,00E1H		; Port P1
SFR_P1_6	.BTEQU	6,00E1H		; Port P1
SFR_P1_7	.BTEQU	7,00E1H		; Port P1
SFR_PD1		.EQU	00E3H		; Port P1 direcrtion register
SFR_P1D		.EQU	00E3H		; Port P1 direcrtion register
SFR_P1D_0	.BTEQU	0,00E3H		; Port P1 Dir
SFR_P1D_1	.BTEQU	1,00E3H		; Port P1 Dir
SFR_P1D_2	.BTEQU	2,00E3H		; Port P1 Dir
SFR_P1D_3	.BTEQU	3,00E3H		; Port P1 Dir
SFR_P1D_4	.BTEQU	4,00E3H		; Port P1 Dir
SFR_P1D_5	.BTEQU	5,00E3H		; Port P1 Dir
SFR_P1D_6	.BTEQU	6,00E3H		; Port P1 Dir
SFR_P1D_7	.BTEQU	7,00E3H		; Port P1 Dir
SFR_P3		.EQU	00E5H		; Port P3 register
SFR_P3_0	.BTEQU	0,00E5H		; Port P3
SFR_P3_1	.BTEQU	1,00E5H		; Port P3
SFR_P3_2	.BTEQU	2,00E5H		; Port P3
SFR_P3_3	.BTEQU	3,00E5H		; Port P3
SFR_P3_7	.BTEQU	7,00E5H		; Port P3
SFR_PD3		.EQU	00E7H		; Port P3 direcrtion register
SFR_P3D		.EQU	00E7H		; Port P3 direcrtion register
SFR_P3D_0	.BTEQU	0,00E7H		; Port P3 Dir
SFR_P3D_1	.BTEQU	1,00E7H		; Port P3 Dir
SFR_P3D_2	.BTEQU	2,00E7H		; Port P3 Dir
SFR_P3D_3	.BTEQU	3,00E7H		; Port P3 Dir
SFR_P3D_7	.BTEQU	7,00E7H		; Port P3 Dir
SFR_P4		.EQU	00E8H		; Port P4 register
SFR_P4_5	.BTEQU	5,00E8H		; Port P4
SFR_P4_6	.BTEQU	6,00E8H		; Port P4
SFR_P4_7	.BTEQU	7,00E8H		; Port P4
SFR_PD4		.EQU	00EAH		; Port P4 direcrtion register
SFR_P4D		.EQU	00EAH		; Port P4 direcrtion register
SFR_P4D_5	.BTEQU	5,00EAH		; Port P4 Dir
SFR_P4D_6	.BTEQU	6,00EAH		; Port P4 Dir

SFR_PUR0	.EQU	00FCH		; Pull-up control register0
SFR_PUR1	.EQU	00FDH		; Pull-up control register1
SFR__PU0L	.BTEQU	0,00FCH		; Port0 0-3 pull-up bit
SFR__PU0H	.BTEQU	1,00FCH		; Port0 4-7 pull-up bit
SFR__PU1L	.BTEQU	2,00FCH		; Port1 0-3 pull-up bit
SFR__PU1H	.BTEQU	3,00FCH		; Port1 4-7 pull-up bit
SFR__PU3L	.BTEQU	6,00FCH		; Port3 0-3 pull-up bit
SFR__PU3H	.BTEQU	7,00FCH		; Port3 7 pull-up bit
SFR__PU4H	.BTEQU	1,00FDH		; Port4 5 pull-up bit

SFR_P0_PUL	.BTEQU	0,00FCH		; Port0 0-3 pull-up bit
SFR_P0_PUH	.BTEQU	1,00FCH		; Port0 4-7 pull-up bit
SFR_P1_PUL	.BTEQU	2,00FCH		; Port1 0-3 pull-up bit
SFR_P1_PUH	.BTEQU	3,00FCH		; Port1 4-7 pull-up bit
SFR_P3_PUL	.BTEQU	6,00FCH		; Port3 0-3 pull-up bit
SFR_P3_PUH	.BTEQU	7,00FCH		; Port3 7 pull-up bit
SFR_P4_PUH	.BTEQU	1,00FDH		; Port4 5 pull-up bit

SFR_DRR		.EQU	00FEH		; Port1 Drive ability Control

SFR_FMR0	.EQU	01B7h		;
SFR_FMR1	.EQU	01B5h		;
SFR_FMR4	.EQU	01B3h		;

	.list	on
