//	UARTM\TvvO (荞ݎgp)
//   UART1gpꍇɂSEC30.INC̊荞݃xN^[ύXĂB
//		Programed by TAG. (AT-LAB)
#include "R8C11.H"

#define UART	0		// gpUART|[g

#if UART==0
#define UART_MR		SFR_U0MR
#define UART__RE	SFR_U0_RE
#define UART__TE	SFR_U0_TE
#define UART__RI	SFR_U0_RI
#define UART__TI	SFR_U0_TI

#define UART_C0		SFR_U0C0
#define UART_C1		SFR_U0C1
#define UART_BRG	SFR_U0BRG
#define UART_RB		SFR_U0RB
#define UART_TB		SFR_U0TB

#define UART_RIC	SFR_U0RIC
#define UART_TIC	SFR_U0TIC
#endif

#if UART==1
#define UART_MR		SFR_U1MR
#define UART__RE	SFR_U1_RE
#define UART__TE	SFR_U1_TE
#define UART__RI	SFR_U1_RI
#define UART__TI	SFR_U1_TI

#define UART_C0		SFR_U1C0
#define UART_C1		SFR_U1C1
#define UART_BRG	SFR_U1BRG
#define UART_RB		SFR_U1RB
#define UART_TB		SFR_U1TB

#define UART_RIC	SFR_U1RIC
#define UART_TIC	SFR_U1TIC
#endif

				// 20M		16M
#define	BRG_57600	21	//	16
#define CNTR_57600	0	//	0
#define	BRG_38400	32	//	25
#define CNTR_38400	0	//	0
#define	BRG_19200	64	//	51
#define CNTR_19200	0	//	0
#define	BRG_9600		129	//	103
#define CNTR_9600	0	//	0
#define	BRG_4800		32	//	207
#define CNTR_4800	1	//	0
#define	BRG_2400		64	//	51
#define CNTR_2400	1	//	1
#define	BRG_1200		129	//	103
#define CNTR_1200	1	//	1
#define	BRG_600		64	//	207
#define CNTR_600		2	//	1
#define	BRG_300		129	//	103
#define CNTR_300		2	//	2

#define PAR_NONE	0
#define PAR_ODD		0b01000000
#define PAR_EVEN	0b01100000

#define STOP_1		0b00000000
#define STOP_2		0b00010000

#define BIT_7		0b00000100
#define BIT_8		0b00000101
#define BIT_9		0b00000110

unsigned char rx_buffer[100];
unsigned char rx_rd_ptr;
unsigned char rx_wr_ptr;

void u0_rx_int(void)
#pragma interrupt u0_rx_int
{
#if UART==0
	rx_buffer[rx_wr_ptr]=(unsigned char)(UART_RB & 0xff);
	rx_wr_ptr++;
	if (rx_wr_ptr>=100)
		rx_wr_ptr=0;
#endif
}

void u1_rx_int(void)
#pragma interrupt u1_rx_int
{
#if UART==1
	rx_buffer[rx_wr_ptr]=(unsigned char)(UART_RB & 0xff);
	rx_wr_ptr++;
	if (rx_wr_ptr>=100)
		rx_wr_ptr=0;
#endif
}


void UART_init(void)
{
	UART_C0=  CNTR_19200;
	UART_BRG= BRG_19200;
	UART_MR=  PAR_NONE | STOP_1 | BIT_8;
#if UART==1
	SFR_UCON=0x20;		// TxD11/RxD1 select if use UART1
#endif
	UART_RIC=6;		// INT LEVEL
	rx_rd_ptr=0;
	rx_wr_ptr=0;

	UART__TE=1;
	UART__RE=1;

}

// UART transmit 1 charactor
void putc_rs(unsigned int c)
{
	while(UART__TI==0)
		;
	UART_TB=c;
}

// UART receive 1 charactor with error flag
int getc_rs(void)
{
	int c;

	if (rx_rd_ptr!=rx_wr_ptr)
	{
		c=rx_buffer[rx_rd_ptr++];
		if (rx_rd_ptr>=100)
			rx_rd_ptr=0;
	}
	else
		c=-1;

	return c;
}

// CvO
void main(void)
{
	long l;
	int c;

	UART_init();

	ei();

	while(1)
	{

		for(l=0;l<500000;l++)		// 킴1bقǑ҂(ۂɂ͕KvȂj
			;						// (Ă荞݂Ǝ肱ڂȂ񂾂)

		while((c=getc_rs())!=-1)			// Recieve
			putc_rs(c & 0xff);				// Transmit (Echo back)
	}
}
